跳至内容

端口统计 API (已弃用)

先决条件

身份验证 - 提交您的 OAuth2 用户凭据、客户端 ID 和客户端密钥 身份验证。请参阅API身份验证以获取有关如何调用OAuth API来验证和认证您的凭据的说明。

获取指定端口的统计信息

要获取端口带宽利用率统计信息,请向 /fabric/v4/ports/{uuid}/stats 端点发送 GET 请求。在请求路径中指定端口 ID。使用 ISO-8601 标准日期时间戳,以查询参数的形式指定统计信息的时间范围。

MethodGET
URL or Endpoint/fabric/v4/ports/{uuid}/stats
HeadersAuthorization, Content-Type
Path Parametersuuid
Query ParametersstartDateTime, endDateTime
Body ParametersNot applicable

示例 cURL 请求:

curl -X GET 'https://api.equinix.com/fabric/v4/ports/{port_id}/stats?startDateTime=2021-01-07T19:26:22Z&endDateTime=2021-01-26T19:55:22Z'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'

示例响应:

{
    "type": "XF_PORT",
    "uuid": "xxxxx191-xx70-xxxx-xx04-xxxxxxxa37xx",
    "name": "Equinix-EM-CX-xxx-L-Dot1q-BO-100G-PRI-xx",

    "bandwidth": 10000,
    "stats": {
        "startDateTime": "2021-02-24T16:00:00Z",
        "endDateTime": "2021-02-25T23:59:44Z",
        "bandwidthUtilization": {
        "unit": "Mbps",
        "metricInterval": "PT5M",
        "inbound": {
            "max": 36.46022222224523,
            "mean": 12.681258259259257,
            "lastPolled": 24.67873548,
            "metrics": [
            {
                "intervalEndDateTime": "2021-02-24T16:00:00Z",
                "max": 24.197777777777777,
                "mean": 9.460203703703565
            },
            {
                "intervalEndDateTime": "2021-02-24T16:05:00Z",
                "max": 29.237066666666667,
                "mean": 11.487487592592595
            },
            {
                "intervalEndDateTime": "2021-02-24T16:10:00Z",
                "max": 31.2726757889999,
                "mean": 11.77661203703704
            },
            {
                "intervalEndDateTime": "2021-03-04T16:15:00Z",
                "max": 28.179666666666666,
                "mean": 7.414631481481509
            },
            {
                "intervalEndDateTime": "2021-03-15T16:20:00Z",
                "max": 29.29311111111111,
                "mean": 6.247431481481508
            }
            ]
        },
        "outbound": {
            "max": 60.33548888888889,
            "mean": 41.22711543985719,
            "lastPolled": 55.14977777777778,
            "metrics": [
            {
                "intervalEndDateTime": "2021-02-24T16:00:00Z",
                "max": 53.790333333333336,
                "mean": 39.80057592592591
            },
            {
                "intervalEndDateTime": "2021-02-24T16:05:00Z",
                "max": 57.353,
                "mean": 38.678568800295
            },
            {
                "intervalEndDateTime": "2021-02-24T16:10:00Z",
                "max": 59.32777777777778,
                "mean": 35.08689444444445
            },
            {
                "intervalEndDateTime": "2021-02-24T16:15:00Z",
                "max": 537274933333333300,
                "mean": 23.855259259259284
            },
            {
                "intervalEndDateTime": "2021-02-24T16:20:00Z",
                "max": 57.75604444444444,
                "mean": 41.36731129629629
            }
            ]
        }
        }
    }
}

有关响应字段的详细说明,请参阅API 参考

此页面有帮助吗?